Bug 966255 - A lot of v2 carts reference OPENSHIFT_INTERNAL_PORT and OPENSHIFT_INTERNAL_IP in their manifests
A lot of v2 carts reference OPENSHIFT_INTERNAL_PORT and OPENSHIFT_INTERNAL_IP...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 17:17 EDT by Dan McPherson
Modified: 2015-05-14 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:08:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan McPherson 2013-05-22 17:17:51 EDT
Description of problem:
A lot of v2 carts reference OPENSHIFT_INTERNAL_PORT and OPENSHIFT_INTERNAL_IP in their manifests

These need to be fixed to the new vars
Comment 1 Dan Mace 2013-05-22 17:48:45 EDT
Resolved by https://github.com/openshift/origin-server/pull/2604
Comment 2 openshift-github-bot 2013-05-22 23:59:36 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/23009cf5818d6fcacca8d0305a83da0ce0500163
Bug 966255: Remove OPENSHIFT_INTERNAL_* references from v2 carts
Comment 3 openshift-github-bot 2013-05-22 23:59:36 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/75b16c950f180c9400d0ead5bb903950f6e6ce91
Bug 966255: Remove OPENSHIFT_INTERNAL_* references from v2 carts
Comment 4 Meng Bo 2013-05-23 05:53:35 EDT
Checked on devenv_3263, all the OPENSHIFT_INTERNAL_IP and OPENSHIFT_INTERNAL_PORT are replaced.

[root@ip-10-166-58-157 ~]# rpm -qa|grep cartridge |xargs rpm -ql|grep manifest| grep v2 |xargs grep -i "openshift_internal"
[root@ip-10-166-58-157 ~]#

Note You need to log in before you can comment on or make changes to this bug.